Bug 1635620 - [OSP-13] Backport NetApp ONTAP IPv6 fixes to RHOSP13
Summary: [OSP-13] Backport NetApp ONTAP IPv6 fixes to RHOSP13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 13.0 (Queens)
Assignee: Brian Rosmaita
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-03 11:55 UTC by Erlon
Modified: 2019-02-17 03:12 UTC (History)
5 users (show)

Fixed In Version: openstack-cinder-12.0.3-5.el7ost
Doc Type: Bug Fix
Doc Text:
The Block Storage service's NetApp ONTAP driver could not format URLs properly when they contained IPv6 addresses resulting in malformed URLs in the management path and driver malfunction. The driver now properly handles IPv6 addresses so the properly formatted URLs facilitate correct functioning.
Clone Of:
Environment:
Last Closed: 2018-11-13 22:13:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3601 None None None 2018-11-13 22:14:24 UTC
OpenStack gerrit 605082 None None None 2018-10-10 20:05:21 UTC
Launchpad 1788419 None None None 2018-10-03 11:55:02 UTC

Description Erlon 2018-10-03 11:55:03 UTC
This ticket is to package the fixes *already merged on the stable/queens branch* to the distro.

Comment 1 Erlon 2018-10-03 11:56:02 UTC
Link for the fix is this: https://review.openstack.org/#/c/605082/

Comment 9 errata-xmlrpc 2018-11-13 22:13:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3601


Note You need to log in before you can comment on or make changes to this bug.